
Figure - Bug #117823
【IOVDEV-26277】【内部】【VC1】【0078】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】
点击屏保按钮，偶现点击无效的现象
2023-05-08 20:33 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-08

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 中控版本：03.02.0078.C101��副屏版本：95 usedebug版本��

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境，副屏处于非屏保模式

【操作手顺】

1、进入副屏遥控器应用，进行黑白UI的切换约10次

2、点击屏保按钮，观察屏保是否生效

【实际结果】

2、屏保按钮点击副屏不生效

【恢复手段】

1、点击一下副屏，再次点击屏保按钮，屏保进入成功

【期望结果】

2、可以正常进入屏保模式

【复归方法】无

测试时间：20230508 14：51

副屏版本：95 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-05-09 10:02 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#2 - 2023-05-09 14:17 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Root cause set to 操作问题

■ My analysis
从副屏的日志看，每次屏保请求都成功执行并进行操作回复了。

我这边使用遥控器 Demo App 进行屏保测试，并未出现相关问题。

■ Next action

麻烦测试进行相关测试并与客户沟通下，尽量复现操作，并且在复现操作时，除了屏保外，看看其他操作是否有效。

#3 - 2023-05-09 14:20 - CD FW-廖涛

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

#4 - 2023-05-09 14:26 - CD FW-廖涛

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Need_Info changed from -- to TEST

- Root cause deleted (操作问题)

#5 - 2023-05-09 14:26 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

#6 - 2023-05-22 14:39 - CDTS_Test 吴诗雨

- File 主屏17-40左右.7z added

- File 副屏-17-40左右.log added

- File HUD.mp4 added

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-廖涛

复测时间：20230519 17：40

IDCM版本号【03.02.0080.C101】

副屏版本：0095 userdebug

复测步骤【原路径复测】

1、当双指滑动，副屏快捷面板下滑到一半时，此时点击屏保无效。

2、此时滑动音量条是可以正常响应的。

#7 - 2023-05-22 14:40 - CDTS_Test 吴诗雨

根据副屏日志，收到了屏保请求；根据视频，副屏执行了打开屏保的操作且执行成功，但副屏控制中心视图在屏保视图上方，导致无法看到点击屏保按

钮之后的结果

xinyi Ruan:按照定义，屏保的优先级是高于控制中心的层级的，但是现在是控制中心卡屏会导致该层级高于屏保界面。请看下是什么问题

#8 - 2023-05-22 14:59 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ Current conclusion

通过复现现象，如果用户在操作控制中心的过程中，执行屏保，系统是进入的屏保，但是控制中心由于在操作过程中，所以是优先展示的，属于正常现

象。

通过问题视频看，控制中心显示一半，但没有看见操作，可能是控制中心卡住或者其他问题，正常情况下，将控制中心下拉或上划到一半，放开后，控

制中心会根据最后的位置进行收起或展开。
综上所述，该问题和屏保操作无关。

■ Next action

测试反馈用户，复现控制中心显示一半的问题。

#9 - 2023-05-25 20:01 - CDTS_Test 吴诗雨

客户继续跟踪复现三个版本

#10 - 2023-06-03 16:03 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

客户首次验pass，先关闭

#11 - 2023-06-03 16:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2023-06-03 16:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

14-51.mp4 4.67 MB 2023-05-08 CDTS_Test 吴诗雨

副屏.log 2.82 MB 2023-05-08 CDTS_Test 吴诗雨

主屏.7z 3.04 MB 2023-05-08 CDTS_Test 吴诗雨

主屏17-40左右.7z 1.34 MB 2023-05-22 CDTS_Test 吴诗雨

副屏-17-40左右.log 3.09 MB 2023-05-22 CDTS_Test 吴诗雨

HUD.mp4 13.4 MB 2023-05-22 CDTS_Test 吴诗雨
